stack trace in kernel

Bug #1903596 reported by Wren Turkal on 2020-11-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Status tracked in Hirsute
Xenial
Low
Po-Hsu Lin
Bionic
Low
Po-Hsu Lin
Focal
Low
Po-Hsu Lin
Groovy
Low
Po-Hsu Lin
Hirsute
Undecided
Unassigned

Bug Description

== SRU Justification ==
Whenever a buggy NAPI driver returns more than its budget, it will
trigger a stack trace warning with:
    WARN_ON_ONCE(work > weight);

The warning message looks like this :
    WARNING: CPU: 2 PID: 0 at /build/linux-hwe-ymdo11/linux-hwe-4.15.0/net/core/dev.c:5672 net_rx_action+0x276/0x3b0

This is not very useful for debugging purpose, since it does not tell
you what's going on there.

== Fix ==
* 427d5838e996 ("net: napi: remove useless stack trace")

This patch will emit a message giving the function name, and a
descriptive message like:
    NAPI poll function ath10k_pci_napi_poll+0x0/0x120 [ath10k_pci] returned 0, exceeding its budget of 64.

This patch is a clean-cherry for all the releases except Xenial.
For Xenial it will need to be applied with -C1

== Test ==
Test kernels can be found here:
https://people.canonical.com/~phlin/kernel/lp-1903596-napi-warnon/

Please note that even though I tried to reproduce this on a XPS 13
9360 mentioned in this bug report that shipped with Atheros QCA6174
[168c:003e] wireless card, but I can't trigger this warning message.
The bug opener is also unable to test this due to some other reasons.

Howeve I did tried to trigger this warning forcibly by putting it
outside the if statement with the test kernels in the following link
to make sure it won't cause some other problem.

https://people.canonical.com/~phlin/kernel/lp-1903596-napi-warnon/force-to-warn/

== Where problems could occur ==
For this bug itself, this patch does not really solve the problem
but it will provide more debug information for developers in the
future (and since this is just a warning message, it should be fine).
We can expect to see more a detailed report against ath10k driver
in the future on launchpad.

== Original Bug Report ==
This appears to be a problem in the ath10k module. I am not sure what it is exactly.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.15.0-122-generic 4.15.0-122.124~16.04.1
ProcVersionSignature: Ubuntu 4.15.0-122.124~16.04.1-generic 4.15.18
Uname: Linux 4.15.0-122-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.26
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Nov 9 13:35:54 2020
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-xenial-amd64-20160624-2
InstallationDate: Installed on 2020-11-09 (0 days ago)
InstallationMedia: Ubuntu 16.04 "Xenial" - Build amd64 LIVE Binary 20160624-10:47
SourcePackage: linux-signed-hwe
UpgradeStatus: No upgrade log present (probably fresh install)

Po-Hsu Lin (cypressyew) wrote :

Hello,
can you attach the log for the stack trace you saw?
Thanks

Changed in linux-signed-hwe (Ubuntu):
status: New → Incomplete

Oh, it didn't include the dmesg log. I'll have to see what I can do.

Po-Hsu Lin (cypressyew) wrote :

How about /var/log/syslog ?

Download full text (3.9 KiB)

dmesg:
[ 4264.871113] WARNING: CPU: 2 PID: 0 at /build/linux-hwe-ymdo11/linux-hwe-4.15.0/net/core/dev.c:5672 net_rx_action+0x276/0x3b0
[ 4264.871119] Modules linked in: ccm nls_utf8 isofs arc4 nvram msr ath10k_pci ath10k_core ath mac80211 cfg80211 rfcomm cmac bnep uvcvideo videobuf2_vmalloc videobuf2_memops btusb btrtl videobuf2_v4l2 btbcm videobuf2_core btintel videodev bluetooth media ecdh_generic nls_iso8859_1 snd_hda_codec_hdmi snd_soc_skl hid_multitouch snd_soc_skl_ipc intel_rapl snd_hda_ext_core x86_pkg_temp_thermal snd_soc_sst_dsp intel_powerclamp coretemp snd_soc_sst_ipc mmc_block dell_laptop snd_soc_acpi kvm_intel kvm snd_soc_core snd_hda_codec_realtek snd_hda_codec_generic snd_compress ac97_bus irqbypass crct10dif_pclmul snd_pcm_dmaengine rtsx_pci_ms memstick crc32_pclmul ghash_clmulni_intel pcbc aesni_intel aes_x86_64 crypto_simd glue_helper cryptd intel_cstate intel_rapl_perf snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep
[ 4264.871180] snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi joydev input_leds dell_wmi serio_raw dell_smbios snd_seq dcdbas snd_seq_device dell_wmi_descriptor intel_wmi_thunderbolt wmi_bmof snd_timer snd soundcore shpchp mei_me idma64 mei virt_dma intel_lpss_pci intel_lpss intel_pch_thermal processor_thermal_device intel_soc_dts_iosf intel_vbtn soc_button_array intel_hid int3403_thermal mac_hid int340x_thermal_zone int3400_thermal acpi_thermal_rel sparse_keymap acpi_pad parport_pc ppdev lp parport autofs4 btrfs xor zstd_compress raid6_pq hid_generic usbhid rtsx_pci_sdmmc i915 psmouse i2c_algo_bit drm_kms_helper syscopyarea nvme sysfillrect sysimgblt nvme_core fb_sys_fops i2c_hid rtsx_pci drm wmi hid video
[ 4264.871238] CPU: 2 PID: 0 Comm: swapper/2 Not tainted 4.15.0-122-generic #124~16.04.1-Ubuntu
[ 4264.871241] Hardware name: Dell Inc. XPS 13 9360/0596KF, BIOS 2.14.2 07/13/2020
[ 4264.871247] RIP: 0010:net_rx_action+0x276/0x3b0
[ 4264.871250] RSP: 0018:ffff93533e503ed0 EFLAGS: 00010293
[ 4264.871253] RAX: 0000000000000048 RBX: 0000000000000000 RCX: ffff9353282f1e30
[ 4264.871256] RDX: ffff934ee8c20000 RSI: 00000000fffffe01 RDI: ffffffffc0e68930
[ 4264.871258] RBP: ffff93533e503f40 R08: 00000003ff5a6480 R09: 0000000000000000
[ 4264.871260] R10: 0000000080000000 R11: ffffffffa38d84a0 R12: 00000000ffffffff
[ 4264.871263] R13: 0000000000000048 R14: ffff9353282f7b60 R15: 0000000000000040
[ 4264.871266] FS: 0000000000000000(0000) GS:ffff93533e500000(0000) knlGS:0000000000000000
[ 4264.871269] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 4264.871271] CR2: 00005637ac7913c0 CR3: 0000000469e0a003 CR4: 00000000003606e0
[ 4264.871273] Call Trace:
[ 4264.871277] <IRQ>
[ 4264.871290] ? ath10k_pci_interrupt_handler+0x77/0xb0 [ath10k_pci]
[ 4264.871299] __do_softirq+0xf5/0x2a8
[ 4264.871308] irq_exit+0xca/0xd0
[ 4264.871312] do_IRQ+0x57/0xe0
[ 4264.871320] common_interrupt+0x90/0x90
[ 4264.871322] </IRQ>
[ 4264.871330] RIP: 0010:cpuidle_enter_state+0xa7/0x300
[ 4264.871332] RSP: 0018:ffffae284194fe60 EFLAGS: 00000246 ORIG_RAX: ffffffffffffffdb
[ 4264.871336] RAX: ffff93533e521840 RBX: 0000000000000006 RCX: 000000000000001f
[ 4264.871338] RDX: 0000000000000000 RSI: 000000002c13c01d RDI: 0000000000000...

Read more...

Download full text (4.2 KiB)

syslog:
Nov 9 13:12:30 braindead NetworkManager[922]: <info> [1604956350.0172] manager: sleep requested (sleeping: no enabled: yes)
Nov 9 13:12:30 braindead NetworkManager[922]: <info> [1604956350.0173] manager: sleeping...
Nov 9 13:12:30 braindead NetworkManager[922]: <info> [1604956350.0174] manager: NetworkManager state is now ASLEEP
Nov 9 13:12:30 braindead NetworkManager[922]: <info> [1604956350.0176] device (wlp58s0): state change: activated -> deactivating (reason 'sleeping') [100 110 37]
Nov 9 13:12:30 braindead whoopsie[1112]: [13:12:30] offline
Nov 9 13:12:30 braindead NetworkManager[922]: <info> [1604956350.0234] device (wlp58s0): state change: deactivating -> disconnected (reason 'sleeping') [110 30 37]
Nov 9 13:12:30 braindead gnome-session[1890]: (deja-dup-monitor:2683): GLib-CRITICAL **: Source ID 154 was not found when attempting to remove it
Nov 9 13:12:30 braindead avahi-daemon[881]: Withdrawing address record for fe80::6d6e:56c3:757b:5f4a on wlp58s0.
Nov 9 13:12:30 braindead avahi-daemon[881]: Leaving mDNS multicast group on interface wlp58s0.IPv6 with address fe80::6d6e:56c3:757b:5f4a.
Nov 9 13:12:30 braindead avahi-daemon[881]: Interface wlp58s0.IPv6 no longer relevant for mDNS.
Nov 9 13:12:30 braindead NetworkManager[922]: <info> [1604956350.0560] dhcp4 (wlp58s0): canceled DHCP transaction, DHCP client pid 3454
Nov 9 13:12:30 braindead NetworkManager[922]: <info> [1604956350.0561] dhcp4 (wlp58s0): state changed bound -> done
Nov 9 13:12:30 braindead kernel: [ 4049.268412] wlp58s0: deauthenticating from 74:ac:b9:d2:e5:07 by local choice (Reason: 3=DEAUTH_LEAVING)
Nov 9 13:12:30 braindead wpa_supplicant[1453]: wlp58s0: CTRL-EVENT-DISCONNECTED bssid=74:ac:b9:d2:e5:07 reason=3 locally_generated=1
Nov 9 13:12:30 braindead avahi-daemon[881]: Withdrawing address record for 192.168.1.175 on wlp58s0.
Nov 9 13:12:30 braindead avahi-daemon[881]: Leaving mDNS multicast group on interface wlp58s0.IPv4 with address 192.168.1.175.
Nov 9 13:12:30 braindead avahi-daemon[881]: Interface wlp58s0.IPv4 no longer relevant for mDNS.
Nov 9 13:12:30 braindead NetworkManager[922]: <info> [1604956350.0649] dns-mgr: Writing DNS information to /sbin/resolvconf
Nov 9 13:12:30 braindead dnsmasq[2356]: setting upstream servers from DBus
Nov 9 13:12:30 braindead wpa_supplicant[1453]: p2p-dev-wlp58s0: CTRL-EVENT-REGDOM-CHANGE init=CORE type=WORLD
Nov 9 13:12:30 braindead dbus[894]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'
Nov 9 13:12:30 braindead NetworkManager[922]: <warn> [1604956350.0978] sup-iface[0x23f52d0,wlp58s0]: connection disconnected (reason -3)
Nov 9 13:12:30 braindead NetworkManager[922]: <info> [1604956350.0979] device (wlp58s0): supplicant interface state: completed -> disconnected
Nov 9 13:12:30 braindead NetworkManager[922]: <info> [1604956350.0985] device (wlp58s0): state change: disconnected -> unmanaged (reason 'sleeping') [30 10 37]
Nov 9 13:12:30 braindead systemd[1]: Starting Network Manager Script Dispatcher Service...
Nov 9 13:12:30 braindead wpa_supplicant[1453]: nl80211: deinit ifname=p2p-dev-wlp58s0 disa...

Read more...

Po-Hsu Lin (cypressyew) on 2020-11-16
Changed in linux-signed-hwe (Ubuntu):
status: Incomplete → Confirmed
Po-Hsu Lin (cypressyew) on 2020-11-16
affects: linux-signed-hwe (Ubuntu) → linux (Ubuntu)
Po-Hsu Lin (cypressyew) wrote :

Thanks for the log!

Three more questions here:
1. Does your wifi still working even with this warning message present?
2. Is it easy to reproduce this issue? How to reproduce it?
3. Can you give this x-4.15 kernel a try? https://people.canonical.com/~phlin/kernel/lp-1903596-napi-warnon/X/x-hwe/

Kernel in step 3 contains this commit https://github.com/torvalds/linux/commit/427d5838e99632e9218eae752009c873cade89ac

Which is expected to print the warning message in a different format (if the same issue can be triggered again).

Thanks!

1. Seems to.
2. I just put the computer to sleep a few times and then use the wifi to download a big file (like a Fedora iso), and that usually repros. However, it will repro on it's own eventually.
3. I cannot. I have installed the newest version of Ubuntu now, which hits the following bug: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1521173

FWIW, the dell image that ships for the XPS 13 9360 (which this machine is), locks to kernel 4.4. I had to manually install the hwe kernel to get 4.15 before.

Po-Hsu Lin (cypressyew) wrote :

OK,
can you paste the "lspci -nn" output so we can know what is the model of your Wifi card.

And even the bug 1521173 present, do you still see this message with your newest version of Ubuntu (what's the release and the kernel version?)
Thanks

Po-Hsu Lin (cypressyew) on 2020-11-27
description: updated
Stefan Bader (smb) on 2020-11-30
Changed in linux (Ubuntu Groovy):
importance: Undecided → Low
status: New → In Progress
Changed in linux (Ubuntu Focal):
importance: Undecided → Low
status: New → In Progress
Changed in linux (Ubuntu Bionic):
importance: Undecided → Low
status: New → In Progress
Changed in linux (Ubuntu Xenial):
importance: Undecided → Low
status: New → In Progress
Ian (ian-may) on 2020-12-08
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Groovy):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Po-Hsu Lin (cypressyew) on 2021-01-18
Changed in linux (Ubuntu Hirsute):
status: Confirmed → In Progress
Changed in linux (Ubuntu Xenial):
assignee: nobody → Po-Hsu Lin (cypressyew)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Po-Hsu Lin (cypressyew)
Changed in linux (Ubuntu Focal):
assignee: nobody → Po-Hsu Lin (cypressyew)
Changed in linux (Ubuntu Groovy):
assignee: nobody → Po-Hsu Lin (cypressyew)
Changed in linux (Ubuntu Hirsute):
assignee: nobody → Po-Hsu Lin (cypressyew)
Po-Hsu Lin (cypressyew) wrote :
  • X Edit (35.2 KiB, text/plain)

Verified on 4.4.0-201.233, no suspicious error message.

tags: added: verification-done-xenial
removed: verification-needed-xenial
Po-Hsu Lin (cypressyew) wrote :
  • B Edit (32.1 KiB, text/plain)

Verified on 4.15.0-135.139, no suspicious error message.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (6.1 KiB)

This bug was fixed in the package linux - 4.15.0-135.139

---------------
linux (4.15.0-135.139) bionic; urgency=medium

  * bionic/linux: 4.15.0-135.139 -proposed tracker (LP: #1912223)

  * [drm:qxl_enc_commit [qxl]] *ERROR* head number too large or missing monitors
    config: (LP: #1908219)
    - qxl: remove qxl_io_log()
    - qxl: move qxl_send_monitors_config()
    - qxl: hook monitors_config updates into crtc, not encoder.

  * Touchpad not detected on ByteSpeed C15B laptop (LP: #1906128)
    - Input: i8042 - add ByteSpeed touchpad to noloop table

  * vmx_nm_test in ubuntu_kvm_unit_tests interrupted on X-oracle-4.15 /
    B-oracle-4.15 / X-KVM / B-KVM (LP: #1872401)
    - KVM: nVMX: Always reflect #NM VM-exits to L1

  * stack trace in kernel (LP: #1903596)
    - net: napi: remove useless stack trace

  * CVE-2020-27777
    - [Config]: Set CONFIG_PPC_RTAS_FILTER

  * Bionic update: upstream stable patchset 2020-12-04 (LP: #1906875)
    - regulator: defer probe when trying to get voltage from unresolved supply
    - ring-buffer: Fix recursion protection transitions between interrupt context
    - time: Prevent undefined behaviour in timespec64_to_ns()
    - nbd: don't update block size after device is started
    - btrfs: sysfs: init devices outside of the chunk_mutex
    - btrfs: reschedule when cloning lots of extents
    - genirq: Let GENERIC_IRQ_IPI select IRQ_DOMAIN_HIERARCHY
    - hv_balloon: disable warning when floor reached
    - net: xfrm: fix a race condition during allocing spi
    - perf tools: Add missing swap for ino_generation
    - ALSA: hda: prevent undefined shift in snd_hdac_ext_bus_get_link()
    - can: rx-offload: don't call kfree_skb() from IRQ context
    - can: dev: can_get_echo_skb(): prevent call to kfree_skb() in hard IRQ
      context
    - can: dev: __can_get_echo_skb(): fix real payload length return value for RTR
      frames
    - can: can_create_echo_skb(): fix echo skb generation: always use skb_clone()
    - can: peak_usb: add range checking in decode operations
    - can: peak_usb: peak_usb_get_ts_time(): fix timestamp wrapping
    - can: peak_canfd: pucan_handle_can_rx(): fix echo management when loopback is
      on
    - xfs: flush new eof page on truncate to avoid post-eof corruption
    - Btrfs: fix missing error return if writeback for extent buffer never started
    - ath9k_htc: Use appropriate rs_datalen type
    - usb: gadget: goku_udc: fix potential crashes in probe
    - gfs2: Free rd_bits later in gfs2_clear_rgrpd to fix use-after-free
    - gfs2: Add missing truncate_inode_pages_final for sd_aspace
    - gfs2: check for live vs. read-only file system in gfs2_fitrim
    - scsi: hpsa: Fix memory leak in hpsa_init_one()
    - drm/amdgpu: perform srbm soft reset always on SDMA resume
    - mac80211: fix use of skb payload instead of header
    - cfg80211: regulatory: Fix inconsistent format argument
    - scsi: scsi_dh_alua: Avoid crash during alua_bus_detach()
    - iommu/amd: Increase interrupt remapping table limit to 512 entries
    - pinctrl: intel: Set default bias in case no particular value given
    - ARM: 9019/1: kprobes: Avoid fortify_panic() when copying optprobe template
    - ...

Read more...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.0 KiB)

This bug was fixed in the package linux - 4.4.0-201.233

---------------
linux (4.4.0-201.233) xenial; urgency=medium

  * xenial/linux: 4.4.0-201.233 -proposed tracker (LP: #1911265)

  * Touchpad not detected on ByteSpeed C15B laptop (LP: #1906128)
    - Input: i8042 - add ByteSpeed touchpad to noloop table

  * stack trace in kernel (LP: #1903596)
    - net: napi: remove useless stack trace

  * CVE-2020-27777
    - powerpc/rtas: Restrict RTAS requests from userspace
    - [Config]: Set CONFIG_PPC_RTAS_FILTER

  * Xenial update: v4.4.247 upstream stable release (LP: #1906703)
    - btrfs: tree-checker: Enhance chunk checker to validate chunk profile
    - btrfs: inode: Verify inode mode to avoid NULL pointer dereference
    - HID: cypress: Support Varmilo Keyboards' media hotkeys
    - Input: i8042 - allow insmod to succeed on devices without an i8042
      controller
    - HID: hid-sensor-hub: Fix issue with devices with no report ID
    - x86/xen: don't unbind uninitialized lock_kicker_irq
    - proc: don't allow async path resolution of /proc/self components
    - dmaengine: pl330: _prep_dma_memcpy: Fix wrong burst size
    - scsi: libiscsi: Fix NOP race condition
    - scsi: target: iscsi: Fix cmd abort fabric stop race
    - scsi: ufs: Fix race between shutdown and runtime resume flow
    - bnxt_en: fix error return code in bnxt_init_board()
    - video: hyperv_fb: Fix the cache type when mapping the VRAM
    - bnxt_en: Release PCI regions when DMA mask setup fails during probe.
    - IB/mthca: fix return value of error branch in mthca_init_cq()
    - nfc: s3fwrn5: use signed integer for parsing GPIO numbers
    - efivarfs: revert "fix memory leak in efivarfs_create()"
    - perf probe: Fix to die_entrypc() returns error correctly
    - USB: core: Change %pK for __user pointers to %px
    - x86/speculation: Fix prctl() when spectre_v2_user={seccomp,prctl},ibpb
    - USB: core: add endpoint-blacklist quirk
    - USB: core: Fix regression in Hercules audio card
    - btrfs: fix lockdep splat when reading qgroup config on mount
    - Linux 4.4.247

  * Xenial update: v4.4.246 upstream stable release (LP: #1906700)
    - ah6: fix error return code in ah6_input()
    - atm: nicstar: Unmap DMA on send error
    - net: b44: fix error return code in b44_init_one()
    - net: bridge: add missing counters to ndo_get_stats64 callback
    - netlabel: fix our progress tracking in netlbl_unlabel_staticlist()
    - netlabel: fix an uninitialized warning in netlbl_unlabel_staticlist()
    - net/mlx4_core: Fix init_hca fields offset
    - net: x25: Increase refcnt of "struct x25_neigh" in x25_rx_call_request
    - qlcnic: fix error return code in qlcnic_83xx_restart_hw()
    - sctp: change to hold/put transport for proto_unreach_timer
    - net: usb: qmi_wwan: Set DTR quirk for MR400
    - net: Have netpoll bring-up DSA management interface
    - pinctrl: rockchip: enable gpio pclk for rockchip_gpio_to_irq
    - arm64: psci: Avoid printing in cpu_psci_cpu_die()
    - MIPS: Fix BUILD_ROLLBACK_PROLOGUE for microMIPS
    - Input: adxl34x - clean up a data type in adxl34x_probe()
    - arm: dts: imx6qdl-udoo: fix rgmii phy-mode for ksz9031 phy
    - ARM: ...

Read more...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-groovy' to 'verification-done-groovy'. If the problem still exists, change the tag 'verification-needed-groovy' to 'verification-failed-groovy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-groovy

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Po-Hsu Lin (cypressyew) wrote :
  • G Edit (38.0 KiB, text/plain)

Verified on 5.8.0-44.50, no suspicious error message.

tags: added: verification-done-groovy
removed: verification-needed-groovy
Po-Hsu Lin (cypressyew) wrote :
  • F Edit (101.2 KiB, text/plain)

Verified on 5.4.0-66.74, no suspicious error message.

tags: added: verification-done-focal
removed: verification-needed-focal
Launchpad Janitor (janitor) wrote :
Download full text (60.8 KiB)

This bug was fixed in the package linux - 5.4.0-66.74

---------------
linux (5.4.0-66.74) focal; urgency=medium

  * focal/linux: 5.4.0-66.74 -proposed tracker (LP: #1913152)

  * Add support for selective build of special drivers (LP: #1912789)
    - [Packaging] Add support for ODM drivers
    - [Packaging] Turn on ODM support for amd64

  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions

  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms-versions -- add the 460-server nvidia driver

  * Enable mute and micmute LED on HP EliteBook 850 G7 (LP: #1910102)
    - ALSA: hda/realtek: Enable mute and micmute LED on HP EliteBook 850 G7

  * SYNA30B4:00 06CB:CE09 Mouse on HP EliteBook 850 G7 not working at all
    (LP: #1908992)
    - HID: multitouch: Enable multi-input for Synaptics pointstick/touchpad device

  * HD Audio Device PCI ID for the Intel Cometlake-R platform (LP: #1912427)
    - SAUCE: ALSA: hda: Add Cometlake-R PCI ID

  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] nvidia -- use dkms-versions to define versions built
    - [Packaging] update-version-dkms -- maintain flags fields
    - [Config] dkms-versions -- add transitional/skip information for nvidia
      packages

  * udpgro.sh in net from ubuntu_kernel_selftests seems not reflecting sub-test
    result (LP: #1908499)
    - selftests: fix the return value for UDP GRO test

  * qede: Kubernetes Internal DNS Failure due to QL41xxx NIC not supporting IPIP
    tx csum offload (LP: #1909062)
    - qede: fix offload for IPIP tunnel packets

  * Use DCPD to control HP DreamColor panel (LP: #1911001)
    - SAUCE: drm/dp: Another HP DreamColor panel brigntness fix

  * kvm: Windows 2k19 with Hyper-v role gets stuck on pending hypervisor
    requests on cascadelake based kvm hosts (LP: #1911848)
    - KVM: x86: Set KVM_REQ_EVENT if run is canceled with req_immediate_exit set

  * Ubuntu 20.10 four needed fixes to 'Add driver for Mellanox Connect-IB
    adapters' (LP: #1905574)
    - net/mlx5: Fix a race when moving command interface to polling mode

  * Fix right sounds and mute/micmute LEDs for HP ZBook Fury 15/17 G7 Mobile
    Workstation (LP: #1910561)
    - ALSA: hda/realtek: fix right sounds and mute/micmute LEDs for HP machines

  * Ubuntu 20.04 - multicast counter is not increased in ip -s (LP: #1901842)
    - net/mlx5e: Fix multicast counter not up-to-date in "ip -s"

  * eeh-basic.sh in powerpc from ubuntu_kernel_selftests timeout with 5.4 P8 /
    P9 (LP: #1882503)
    - selftests/powerpc/eeh: disable kselftest timeout setting for eeh-basic

  * DMI entry syntax fix for Pegatron / ByteSpeed C15B (LP: #1910639)
    - Input: i8042 - unbreak Pegatron C15B

  * CVE-2020-29372
    - mm: check that mm is still valid in madvise()

  * update ENA driver, incl. new ethtool stats (LP: #1910291)
    - net: ena: Change WARN_ON expression in ena_del_napi_in_range()
    - net: ena: ethtool: convert stat_offset to 64 bit resolution
    - net: ena: eth...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (129.8 KiB)

This bug was fixed in the package linux - 5.8.0-44.50

---------------
linux (5.8.0-44.50) groovy; urgency=medium

  * groovy/linux: 5.8.0-44.50 -proposed tracker (LP: #1914805)

  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions

  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms-versions -- add the 460-server nvidia driver

  * [SRU][G/H/U/OEM-5.10] re-enable s0ix of e1000e (LP: #1910541)
    - Revert "UBUNTU: SAUCE: e1000e: bump up timeout to wait when ME un-configure
      ULP mode"
    - e1000e: Only run S0ix flows if shutdown succeeded
    - Revert "e1000e: disable s0ix entry and exit flows for ME systems"
    - e1000e: Export S0ix flags to ethtool

  * suspend only works once on ThinkPad X1 Carbon gen 7 (LP: #1865570) //
    [SRU][G/H/U/OEM-5.10] re-enable s0ix of e1000e (LP: #1910541)
    - e1000e: bump up timeout to wait when ME un-configures ULP mode

  * Cannot probe sata disk on sata controller behind VMD: ata1.00: failed to
    IDENTIFY (I/O error, err_mask=0x4) (LP: #1894778)
    - PCI: vmd: Offset Client VMD MSI-X vectors

  * Enable mute and micmute LED on HP EliteBook 850 G7 (LP: #1910102)
    - ALSA: hda/realtek: Enable mute and micmute LED on HP EliteBook 850 G7

  * SYNA30B4:00 06CB:CE09 Mouse on HP EliteBook 850 G7 not working at all
    (LP: #1908992)
    - HID: multitouch: Enable multi-input for Synaptics pointstick/touchpad device

  * HD Audio Device PCI ID for the Intel Cometlake-R platform (LP: #1912427)
    - SAUCE: ALSA: hda: Add Cometlake-R PCI ID

  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] nvidia -- use dkms-versions to define versions built
    - [Packaging] update-version-dkms -- maintain flags fields
    - [Config] dkms-versions -- add transitional/skip information for nvidia
      packages

  * udpgro.sh in net from ubuntu_kernel_selftests seems not reflecting sub-test
    result (LP: #1908499)
    - selftests: fix the return value for UDP GRO test

  * [UBUNTU 21.04] vfio: pass DMA availability information to userspace
    (LP: #1907421)
    - vfio/type1: Refactor vfio_iommu_type1_ioctl()
    - vfio iommu: Add dma available capability

  * qede: Kubernetes Internal DNS Failure due to QL41xxx NIC not supporting IPIP
    tx csum offload (LP: #1909062)
    - qede: fix offload for IPIP tunnel packets

  * Use DCPD to control HP DreamColor panel (LP: #1911001)
    - SAUCE: drm/dp: Another HP DreamColor panel brigntness fix

  * Fix right sounds and mute/micmute LEDs for HP ZBook Fury 15/17 G7 Mobile
    Workstation (LP: #1910561)
    - ALSA: hda/realtek: fix right sounds and mute/micmute LEDs for HP machines

  * Ubuntu 20.04 - multicast counter is not increased in ip -s (LP: #1901842)
    - net/mlx5e: Fix multicast counter not up-to-date in "ip -s"

  * eeh-basic.sh in powerpc from ubuntu_kernel_selftests timeout with 5.4 P8 /
    P9 (LP: #1882503)
    - selftests/powerpc/eeh: disable kselftest timeout setting for eeh-basic

  * DMI entry syntax fix for Pegatron /...

Changed in linux (Ubuntu Groovy):
status: Fix Committed → Fix Released
Po-Hsu Lin (cypressyew) wrote :

$ git tag --contains 427d5838e99632e9218eae752009c873cade89ac
Ubuntu-5.10.0-12.13
Ubuntu-5.10.0-13.14
Ubuntu-5.10.0-14.15
Ubuntu-5.10.0-15.16
Ubuntu-5.11.0-11.12

In hirsute already. Closing this bug.

Changed in linux (Ubuntu Hirsute):
assignee: Po-Hsu Lin (cypressyew) → nobody
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers